<template>
  <div class="mt-form-fields-organisme">
    <div class="mt-fields-section">
      <b-field label="Code ">
        <b-input v-model="typeOrganisme.code" placeholder="Ex: brigade" required />
      </b-field>
      <b-field label="Libellé ">
        <b-input v-model="typeOrganisme.libelle" placeholder="Ex: Brigade" required />
      </b-field>
      <b-field label="Ordre ">
        <b-input v-model="typeOrganisme.ordre" placeholder="Ex: 10" type="number" required />
      </b-field>
      <b-field label="Pour affectation ">
        <b-checkbox v-model="typeOrganisme.pourAffectation" :value="typeOrganisme.pourAffectation" />
      </b-field>
      <b-field label="Type d'organisme parent ">
        <b-select v-model="typeOrganisme.idTypeOrganismeParent" placeholder="Sélectionner un organisme">
          <option v-for="typeOrganismeP in typesOrganismesParents" :key="typeOrganismeP.id" :value="typeOrganismeP.id">
            {{ typeOrganismeP.libelle }}
          </option>
        </b-select>
      </b-field>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    typeOrganisme: {
      type: Object,
      default: () => ({}),
    },
    typesOrganismesParents: {
      type: Array,
      default: () => [],
    },
  },
};
</script>

<style scoped lang="scss">
h3 {
  font-weight: bold;
  margin-bottom: 1rem;
}
.mt-fields-section {
  margin-bottom: 1.25rem;
}
.mt-fake-field {
  margin-bottom: 0;
}
.mt-type {
  .control:not(:last-child) {
    margin-right: 1rem;
  }
}
</style>
